Subject: Re: bug#17691: 24.3.91; crash closing remote frame

From: Paul Eggert <[email-masked]>
Date: Wed, 18 Jun 2014 15:00:47 -0700

> In this process, fd 20 is the dropped TCP connection for the remote
> display, and fd 7 is the unix-domain socket to the local display. Since the
> remote connection is closed, pselect6 returns immediately, but we never
> drop it from the fd set.

I tried to reproduce the problem on Fedora 20 x86-64, using your recipe 
and the Emacs-24 branch, but could not.  Perhaps it's something to do 
with the other stuff you're running, or it could be that I haven't 
applied Dmitry's patch.

Anyway, this latest problem looks related to Bug#17647 and Bug#17805. 
Can you easily reproduce the problem?  Does the patch proposed in 
Bug#17805 Message #8 fix it?  Here's a URL:

http://debbugs.gnu.org/cgi/bugreport.cgi?msg=8;filename=17805.diff;att=1;bug=17805